<?php require_once('../../Connections/cn.php'); ?>
<?php
$carrera=$_GET['carrera'];
$cedula_usuario=$_GET['cedula'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Datos del alumno
$sql = "SELECT id_alumno,cedula,apellidos, nombres,tipodoc FROM alumnos where cedula='$cedula_usuario' or pasaporte='cedula_usuario'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$cedula= $row['cedula'];
$apellidos= $row['apellidos'];
$nombres= $row['nombres'];
$tipodoc=$row['tipodoc'];
if(substr($tipodoc,0,1)=="C") {
	    $documento=utf8_decode('CÉDULA');
		}
				else {	
		 $documento='PASAPORTE: ';}
//fin
//Datos de la Carrera
$query_rstCarreras = "SELECT carreras.nombre_carrera FROM carreras Where carreras.id_carrera='$carrera'";
$rstCarreras = mysql_query($query_rstCarreras, $cn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
$nom_carrera=$row_rstCarreras['nombre_carrera'];

// Datos de las Materias
$queryMaterias = "SELECT semestre,id_materia,nombre_materia,uc FROM materias Where id_carrera='$carrera' ORDER BY
materias.semestre Asc, materias.orden Asc";
$rowMaterias = mysql_query($queryMaterias, $cn) or die(mysql_error());
//$result = mysql_fetch_assoc($rstMaterias);
$rowsMaterias = mysql_num_rows($rowMaterias);

// Selecciono la Base de Datos. 

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."                             UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE".'</b>',14,array('justification'=>'left'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."    SITUACIÓN ADMINISTRATIVA".'</b>'),16,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'."            PROGRAMA: ".'</b>'.$carrera.":".utf8_decode($nom_carrera),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."            PARTICIPANTE: ".'</b>'.utf8_decode($apellidos).", ".utf8_decode($nombres),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."            $documento: ".'</b>'.$cedula);
$pdf->addText(480,635,9,"Fecha: ".date("d/m/Y"));
$pdf->ezsetdy(-5);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4,4,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.',
			  'cod'=>'Cod.', 
			  'concepto'=>'    Concepto', 
              'ref'=>'Referencia', 
              'monto'=>'Monto',
			  'fecha'=>'Fecha',
			  'saldo'=>'Saldo  '); 
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
mysql_select_db($database_cn, $cn);
	$query1 = "Select
	tipo,
	referencia,
	concepto,
	fecha,
	monto
	From
	movimientos
	Where
	id_alumno = '$id_alumno' and
	id_carrera = '$carrera' and
	(tipo='MA' or tipo='IN' or tipo='AB' or tipo='SF' or tipo='DE' or tipo='IC' or tipo='PC')
	order by fecha";
	// Ejecuta el Query.
	$result1 = mysql_query ($query1) or die (mysql_error()); 
	//$row1 = mysql_fetch_row($result1);
	$saldo=0;
	while ($row1 = mysql_fetch_row($result1))
	{
	    $nro      = $smc;
		$cod      = $row1[0];    // nota 
	    $ref      = $row1[1];    // nota  
	    $concepto = $row1[2];    // nota
	    $monto    = $row1[4];    // nota
	    $fecha    = $row1[3];    // nota
		//if ($row1[0]!="MA") {  
           if ($row1[0]=="IN" or $row1[0]=="DE" or $row1[0]=="MA" or $row1[0]=="IC" or $row1[0]=="PC") {
		       $saldo=$saldo+$monto;
		   }
		   else 
		   {
		       $saldo=$saldo-$monto;
		   }    
		//}	
	    
        $smc = $smc + 1; 
        // Aqui se agregan las variables formateadas al array 
        $data[] = array('nro'=>$smc,
		  			'cod'=>$cod,
	                'ref'=>$ref, 
                    'concepto'=>utf8_decode($concepto), 
                    'monto'=>number_format($monto,2,",","."), 
					'fecha'=>join ("-",(array_reverse(split("-",$fecha)))), 
					'saldo'=>number_format($saldo,2,",","."));
          	}  
					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'right')
			 ,'cod'=>array('justification'=>'center') 
			 ,'ref'=>array('justification'=>'left') 
             ,'concepto'=>array('justification'=>'left') 
             ,'monto'=>array('justification'=>'right')
			 ,'fecha'=>array('justification'=>'center') 
             ,'saldo'=>array('justification'=>'right')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{

}
?> 